Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: dante-devel libncurses-devel libtinfo-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          tnftp
Version:       20230507
Release:       alt1_3
Summary:       FTP (File Transfer Protocol) client from NetBSD

License:       0BSD AND BSD-2-Clause AND BSD-3-Clause AND ISC

# From the README:
# `tnftp' is a `port' of the NetBSD FTP client to other systems.
# See http://www.NetBSD.org/ for more details about NetBSD.
URL:           http://www.NetBSD.org/
Source0:       http://ftp.netbsd.org/pub/NetBSD/misc/%{name}/%{name}-%{version}.tar.gz
Source1:       http://ftp.netbsd.org/pub/NetBSD/misc/%{name}/%{name}-%{version}.tar.gz.asc
Source2:       gpgkey-2A8E22EDB07B5414548D8507A4186D9A7F332472.gpg

BuildRequires: libedit-devel
BuildRequires: libssl-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gnupg2
Source44: import.info

%description
%{name} is the FTP (File Transfer Protocol) client from NetBSD.  FTP
is a widely used protocol for transferring files over the Internet and
for archiving files.  %{name} provides some advanced features beyond
the Linux netkit ftp client, but maintains a similar user interface to
the traditional ftp client.  It was formerly called lukemftp.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%configure --enable-editcomplete \
           --without-local-libedit \
           --enable-ipv6 \
           --enable-ssl
%make_build

%install
%makeinstall_std

%files
%doc ChangeLog INSTALL NEWS README THANKS todo
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 20230507-alt1_3
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 20230507-alt1_2
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 20210827-alt2_5
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 20210827-alt2_4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 20210827-alt2_3
- update to new release by fcimport

* Sat Jan 22 2022 Cronbuild Service <cronbuild@altlinux.org> 20210827-alt2_2
- rebuild to get rid of unmets

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 20210827-alt1_2
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 20200705-alt1_2
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 20200705-alt1_1
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 20151004-alt2_11
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 20151004-alt1_11
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 20151004-alt1_10
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 20151004-alt1_9
- new version

